<?php

// dołączenie plików funkcji dla tej aplikacji
require_once('funkcje_ksiazka_kz.php');
session_start();

tworz_naglowek_html("Uaktualnienie książki");
if (sprawdz_uzyt_admin()) {
  if (wypelniony($_POST)) {
    $staryisbn = $_POST['staryisbn'];
    $isbn = $_POST['isbn'];
    $tytul = $_POST['tytul'];
    $autor = $_POST['autor'];
    $idkat = $_POST['idkat'];
    $cena = $_POST['cena'];
    $opis = $_POST['opis'];

    if(uakt_ksiazke($staryisbn, $isbn, $tytul, $autor, $idkat,
                      $cena, $opis)) {
      echo "<p>Książka została uaktualniona.</p>";
    } else {
      echo "<p>Książka nie mogła zostać uaktualniona.</p>";
    }
  } else {
    echo "<p>Formularz niewypełniony. Proszę spróbować ponownie.</p>";
  }
  tworz_html_url("admin.php", "Powrót do menu administratora");
} else {
  echo "<p>Brak autoryzacji do oglądania tej strony.</p>";
}

tworz_stopke_html();

?>